Subject: Re: bug#46995: [PATCH staging] gnu: polkit: Update to 0.118.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 10 Oct 2021 01:03:09 -0400

Hello,

[email-masked] writes:

> From: Morgan Smith <[email-masked]>
>
> * gnu/packages/polkit.scm (polkit): Update to 0.118.
> [origin]: Update url and remove libsystemd-login substitution
> [inputs]: Update mozjs-60 to mozjs-78
> [native-inputs]: Add libxslt and docbook-xsl for manpage generation
> [arguments]: Add phase to fix manpage generation
> ---
>
> I think this belongs in the staging branch. I'm really not sure.

Technically yes, since it has above 300 dependents (guix refresh -l
polkit) :-).

> Also I'm not sure how to test packages that go in a system configuration
> without risking my system, so I didn't test this at all.

There is the elogind system test which seems to cover it (I ran it with
'make check-system TESTS=elogind', it passed!).  You could also use
'guix system vm' to virtualize your own system config (or a variant).

> The only reason I decided to package this was because the previous package
> didn't have man pages.
>
> The libsystemd-login substitution was removed because the configure script
> seems to have good automatic detection.

Indeed, it seems there were improvements in this regard.

Applied as 9c0c07e4af, with the copyright fix in the preceding commit.

Thank you!

Closing.

Maxim